<div *ngIf="auth.authenticated">
  <form name="form" (ngSubmit)="f.form.valid && onSubmit(f)" #f="ngForm" novalidate>
    <div class="form-group">
      <label for="title">Comment title</label>
      <input type="text"
             class="form-control"
             id="title"
             name="title"
             [class.is-invalid]="title.invalid && title.dirty"
             [class.is-valid]="title.valid"
             [(ngModel)]="comment.title"
             #title="ngModel" required minlength="5"/>
      <div class="invalid-feedback">{{ titleValidate(title) }}</div>
    </div>
    <div class="form-group">
      <label for="content">Comment content</label>
      <textarea name="content"
                [(ngModel)]="comment.content"
                id="content"
                [class.is-invalid]="content.invalid && content.dirty"
                [class.is-valid]="content.valid"
                class="form-control"
                rows="5"
                #content="ngModel" required></textarea>
      <div class="invalid-feedback">Comment content is required.</div>
    </div>
    <div class="form-group">
      <button [disabled]="f.form.invalid" type="submit" class="form-control btn btn-success">Create comment</button>
    </div>
  </form>
</div>
<div *ngIf="!auth.authenticated">
  <h4>U can't comment fanfics. Please <a routerLink="/login">sign in</a> or <a routerLink="/register">sign up</a> to continue</h4>
</div>
